org.springframework.data.repository.config

## Class NamedQueriesBeanDefinitionBuilder

- java.lang.Object
- - org.springframework.data.repository.config.NamedQueriesBeanDefinitionBuilder

    public class NamedQueriesBeanDefinitionBuilder
    extends Object

Builder to create a `BeanDefinition` for a `NamedQueries` instance.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`NamedQueriesBeanDefinitionBuilder(String defaultLocation)` Creates a new `NamedQueriesBeanDefinitionBuilder` using the given default location.

### Method Summary

All Methods Instance Methods Concrete Methods
`BeanDefinition` `build(Object source)` Builds a new `BeanDefinition` from the given source.
`void` `setLocations(String locations)` Sets the (comma-separated) locations to load the properties files from to back the `NamedQueries` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamedQueriesBeanDefinitionBuilder

    public NamedQueriesBeanDefinitionBuilder(String defaultLocation)

Creates a new `NamedQueriesBeanDefinitionBuilder` using the given default location.

Parameters:
  `defaultLocation` - must not be null or empty.

### Method Detail

#### setLocations

    public void setLocations(String locations)

Sets the (comma-separated) locations to load the properties files from to back the `NamedQueries` instance.

Parameters:
  `locations` - must not be null or empty.

#### build

    public BeanDefinition build(@Nullable
                                Object source)

Builds a new `BeanDefinition` from the given source.

Parameters:
  `source` -
Returns: